DynamicJava Javadoc: Class BytecodeComponent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classfile
Class BytecodeComponent

    java.lang.Object
      |
      +--koala.dynamicjava.classfile.BytecodeComponent

Direct Known Subclasses:
  AttributeInfo, AttributeOwnerComponent

public abstract class BytecodeComponent
extends java.lang.Object

This class represents a component of the bytecode 'ClassFile' format

Field Summary
`protected ConstantPool` | `constantPool` The constant pool
`protected short` | `nameIndex` The index of the name of this component

Constructor Summary
`protected` | `BytecodeComponent(ConstantPool cp, short ni)` Initializes a new bytecode component

Method Summary
`ConstantPool` | `getConstantPool()` Returns the constant pool
`abstract void` | `write(java.io.DataOutputStream out)` Writes the class file to the given output stream
`void` | `write(java.io.OutputStream out)` Writes the class file to the given output stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### constantPool

    protected ConstantPool constantPool

  The constant pool

### nameIndex

    protected short nameIndex

  The index of the name of this component

Constructor Detail

### BytecodeComponent

    protected BytecodeComponent(ConstantPool cp,
                                short ni)

  Initializes a new bytecode component
  Parameters:
    `cp` - the constant pool
    `ni` - the name index in the constant pool

Method Detail

### getConstantPool

    public ConstantPool getConstantPool()

  Returns the constant pool

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Writes the class file to the given output stream

### write

    public abstract void write(java.io.DataOutputStream out)
                        throws java.io.IOException

  Writes the class file to the given output stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.